Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/bean/emission/FacteurResultatBean.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/bean/emission/FacteurResultatBean.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/bean/emission/FacteurResultatBean.java	(revision 70)
@@ -20,5 +20,6 @@
 public class FacteurResultatBean extends AbstractVueBean {
 	private String url;
-	private Zone zone_affichee;
+	private Zone zone_demandee;
+	private Zone zone_visible;
 	private int clicX;
 	private int clicY;
@@ -33,4 +34,8 @@
 	private Long colormap_id;
 	private UISelectOne colormapUI;
+	
+	private List<SelectItem> liste_classdis;
+	private Long classdis_id;
+	private UISelectOne classdisUI;
 	
 	private List<SelectItem> liste_grille;
@@ -57,28 +62,35 @@
 	public void initialisation() {
 		// FIXME: virer les colormap exponentielles
-		zone_affichee = new Zone();
+		zone_demandee = new Zone();
 		Zone zone_init = emission.getFacteur().getZone();
-		zone_affichee.setNorthbc(zone_init.getNorthbc());
-		zone_affichee.setSouthbc(zone_init.getSouthbc());
-		zone_affichee.setEastbc(zone_init.getEastbc());
-		zone_affichee.setWestbc(zone_init.getWestbc());
+		zone_demandee.setNorthbc(zone_init.getNorthbc());
+		zone_demandee.setSouthbc(zone_init.getSouthbc());
+		zone_demandee.setEastbc(zone_init.getEastbc());
+		zone_demandee.setWestbc(zone_init.getWestbc());
 		
 		liste_grille = serviceMetier.getListGrille(emission.getBurnt().getBurnt().getId_item(),
 				                                   emission.getBurnt().getDate_debut(), 
-				                                   emission.getBurnt().getDate_fin());
+				                                   emission.getBurnt().getDate_fin(), null);
 		grille_id = (Long) liste_grille.get(0).getValue();
 		if (grilleUI != null)
 			grilleUI.setValue(grille_id);
 
-		liste_colormap = serviceMetier.getListColorDynamique(true);
+//		liste_colormap = serviceMetier.getListColorDynamique(true);
+		liste_colormap = serviceMetier.getListMappingColor();
 		colormap_id = (Long) liste_colormap.get(0).getValue();
 		if (colormapUI != null)
 			colormapUI.setValue(colormap_id);
 		
+		liste_classdis = serviceMetier.getListClassDynamique();
+		classdis_id = (Long) liste_classdis.get(0).getValue();
+		if (classdisUI != null)
+			classdisUI.setValue(classdis_id);
+		
 		requete.setDatedeb(liste_grille.get(0).getLabel());
 		requete.setDatefin(liste_grille.get(0).getLabel());
 		requete.setColormap(colormap_id);
-		
-		majURLCarte();
+		requete.setClassdis(classdis_id);
+		
+		majURLCarte(false,true);
 	}
 	
@@ -89,12 +101,13 @@
 	public void clicOnCarte(ActionEvent event) {
 		service.zoom(clicX, clicY);
-		zone_affichee = service.getzone();
-	
-		majURLCarte();
-	}
-	
-	private void majURLCarte() {
-		url = service.getCarte(requete, zone_affichee, getIdUnique());
-		url_legend = service.getLegend(colormap_id, 5040, url);
+		zone_visible = service.getzone();
+	
+		majURLCarte(true,false);
+	}
+	
+	private void majURLCarte(boolean zoom, boolean firstAff) {
+		url = service.getCarte(requete, zone_demandee, getIdUnique(), zoom, firstAff);
+		url_legend = service.getLegend(colormap_id, classdis_id, 5040, url);
+		zone_visible = service.getzone();
 		////system.out.println(url_legend);
 	}
@@ -113,5 +126,5 @@
 		}
 		
-		majURLCarte();
+		majURLCarte(false,false);
 	}
 	
@@ -122,5 +135,5 @@
 		requete.setColormap(colormap_id);
 		
-		majURLCarte();
+		majURLCarte(false,false);
 	}
 	
@@ -211,12 +224,4 @@
 	public void setWestbc(UIOutput westbc) {
 		this.westbc = westbc;
-	}
-	
-	public Zone getZone_affichee() {
-		return zone_affichee;
-	}
-	
-	public void setZone_affichee(Zone zone_affichee) {
-		this.zone_affichee = zone_affichee;
 	}
 	
@@ -261,5 +266,19 @@
 		this.liste_grille = liste_grille;
 	}
-	
-	
-	}
+
+	public Zone getZone_demandee() {
+		return zone_demandee;
+	}
+
+	public void setZone_demandee(Zone zoneDemandee) {
+		zone_demandee = zoneDemandee;
+	}
+
+	public Zone getZone_visible() {
+		return zone_visible;
+	}
+
+	public void setZone_visible(Zone zoneVisible) {
+		zone_visible = zoneVisible;
+	}
+}
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/bean/emission/LandcoverBean.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/bean/emission/LandcoverBean.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/bean/emission/LandcoverBean.java	(revision 70)
@@ -7,5 +7,4 @@
 import javax.faces.model.SelectItem;
 
-import org.medias.eccad.helpers.LoggerPerso;
 import org.medias.eccad.metier.ServiceMetier;
 import org.medias.eccad.metier.traducteur.TraducteurVisuMultiplan;
@@ -21,12 +20,11 @@
 	private List<String> selectedClass;
 	private String message;
-
 	
 	public LandcoverBean(EmissionBean emission) {
 		controleSession();
 		landproduit = new ProduitBean();
-		this.emissionbean    = emission;
+		this.emissionbean = emission;
 		message = new String();
-		LoggerPerso.log(LandcoverBean.class, LoggerPerso.DEBUG, "constructeur landcover");
+//		LoggerPerso.log(LandcoverBean.class, LoggerPerso.DEBUG, "constructeur landcover");
 	}
 
@@ -36,5 +34,5 @@
 		
 		
-		LoggerPerso.log(FacteurEmissionBean.class, LoggerPerso.DEBUG, "init class landcover " + liste_temp);	
+//		LoggerPerso.log(FacteurEmissionBean.class, LoggerPerso.DEBUG, "init class landcover " + liste_temp);	
 		
 		for (Produit prod : liste_temp) {
@@ -57,5 +55,5 @@
 	
 	public void majLandCover(ValueChangeEvent event) {
-		Produit prod = new ServiceMetier().getProduitById((Long) event.getNewValue());
+		Produit prod = new ServiceMetier().getProduitById(((Long) event.getNewValue()).intValue());
 		landproduit.setId_item(prod.getIdentifiant());
 		landproduit.setHeader_item(prod.getHeader());
@@ -66,5 +64,5 @@
 	private void initClass(Long id_produit) {
 		List<Grille> liste_temp = emissionbean.getService().getClassEmission(id_produit);
-		liste_classe = new TraducteurVisuMultiplan().getListGrille(liste_temp);
+		liste_classe = new TraducteurVisuMultiplan().getListGrille(liste_temp, null, null);
 		selectedClass = new LinkedList<String>();
 		liste_vegetation = new LinkedList<ClasseBean>();
@@ -84,5 +82,5 @@
 		}
 		
-		LoggerPerso.log(FacteurEmissionBean.class, LoggerPerso.DEBUG, "get class landcover >  " + listeId.size() + " :: " + listeId);
+//		LoggerPerso.log(FacteurEmissionBean.class, LoggerPerso.DEBUG, "get class landcover >  " + listeId.size() + " :: " + listeId);
 		
 		return listeId;
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/bean/emission/ProduitBean.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/bean/emission/ProduitBean.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/bean/emission/ProduitBean.java	(revision 70)
@@ -6,6 +6,4 @@
 import javax.faces.model.SelectItem;
 
-
-import org.medias.eccad.helpers.LoggerPerso;
 
 public class ProduitBean {
@@ -22,5 +20,5 @@
 	public ProduitBean() {
 		super();
-		LoggerPerso.log(ProduitBean.class, LoggerPerso.DEBUG, "construction ProduitBean");
+//		LoggerPerso.log(ProduitBean.class, LoggerPerso.DEBUG, "construction ProduitBean");
 	}
 
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/bean/emission/traducteur/TraducteurEmission.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/bean/emission/traducteur/TraducteurEmission.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/bean/emission/traducteur/TraducteurEmission.java	(revision 70)
@@ -18,4 +18,8 @@
 		requete.setParamBurnt(emission.getService().getParamIdBurntArea());
 		requete.setProduitBurnt(burnt.getBurnt().getId_item());
+		requete.setId_rcp(new Long(0));
+		requete.setId_secteur(new Long(0));
+		requete.setAlt("0");
+		requete.setId_mask(new Long(0));
 		
 		requete.setDatedeb(burnt.getDate_debut());
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/composant/ComposantPopup.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/composant/ComposantPopup.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/composant/ComposantPopup.java	(revision 70)
@@ -3,7 +3,5 @@
 import javax.faces.component.*;
 import javax.faces.context.*;
-import java.util.*;
 import java.io.*;
-import javax.faces.event.*;
 
 
@@ -16,7 +14,7 @@
 	
 	private String classe;
-	private String onclick;
+//	private String onclick;
 	private String style;
-	private String value;
+//	private String value;
 	  
 //**************************************//
@@ -43,6 +41,6 @@
 				style=(String)getAttributes().get("style");
 			}
-			if (getAttributes().containsKey("onclick"))
-				onclick=(String)getAttributes().get("onclick");
+//			if (getAttributes().containsKey("onclick"))
+//				onclick=(String)getAttributes().get("onclick");
 			
 			/** ENCODAGE **/				
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/composant/TagDivButton.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/composant/TagDivButton.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/composant/TagDivButton.java	(revision 70)
@@ -45,10 +45,12 @@
 //	**************************************//
 
+	@SuppressWarnings("unchecked")
 	protected void setProperties(UIComponent component){
 		super.setProperties(component);
 		ComposantPopup compo= (ComposantPopup) component;
 
-		if (classe != null)
+		if (classe != null) {
 			compo.getAttributes().put("styleClass", classe);
+		}
 		if (style != null) {
 			//system.out.println("ajout du style :: " + style);
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/listener/PhaseEcouteur.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/listener/PhaseEcouteur.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/listener/PhaseEcouteur.java	(revision 70)
@@ -9,4 +9,9 @@
 
 public class PhaseEcouteur implements PhaseListener{
+
+	/**
+	 * 
+	 */
+	private static final long serialVersionUID = 1L;
 
 	public void afterPhase(PhaseEvent pe) {
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/traducteur/TraducteurCarte.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/traducteur/TraducteurCarte.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/traducteur/TraducteurCarte.java	(revision 70)
@@ -2,4 +2,6 @@
 
 import java.text.NumberFormat;
+import java.util.Calendar;
+import java.util.GregorianCalendar;
 import java.util.HashMap;
 import java.util.Map;
@@ -15,26 +17,70 @@
 
 	public Map<String, String> tradCritere2Stat(CritereBean critereBean, CarteBean carteBean) {
-	Map<String, String> critere = new HashMap<String, String>();
+		Map<String, String> critere = new HashMap<String, String>();
 	
-	if (critereBean == null) {
-		LoggerPerso.log(TraducteurCarte.class, LoggerPerso.WARN, "criterebean null");
+		if (critereBean == null) {
+			LoggerPerso.log(TraducteurCarte.class, LoggerPerso.WARN, "criterebean null");
+			return critere;
+		}
+	
+		String northbcN =  carteBean.getZone_demandee().getNorthbcN().replace(",",".");
+		String southbcN = carteBean.getZone_demandee().getSouthbcN().replace(",",".");
+		String eastbcN =  carteBean.getZone_demandee().getEastbcN().replace(",",".");
+		String westbcN =  carteBean.getZone_demandee().getWestbcN().replace(",",".");
+	
+		critere.put("lat-max", northbcN);
+		critere.put("lat-min", southbcN);
+		critere.put("lon-max", eastbcN);
+		critere.put("lon-min", westbcN);
+//		critere.put("lat-max", "90");
+//		critere.put("lat-min", "-90");
+//		critere.put("lon-max", "180");
+//		critere.put("lon-min", "-180");
+		critere.put("beg-date", critereBean.getBegDate());
+		critere.put("end-date", critereBean.getEndDate());
+		////system.out.println("TraducteurCarte::" + critere);
 		return critere;
 	}
+
+	public Map<String, String> tradCritere2Total(CritereBean critereBean, CarteBean carteBean) {
+		Map<String, String> critere = new HashMap<String, String>();
 	
-	String northbcN =  carteBean.getZone_affichee().getNorthbcN().replace(",",".");
-	String southbcN = carteBean.getZone_affichee().getSouthbcN().replace(",",".");
-	String eastbcN =  carteBean.getZone_affichee().getEastbcN().replace(",",".");
-	String westbcN =  carteBean.getZone_affichee().getWestbcN().replace(",",".");
+		if (critereBean == null) {
+			LoggerPerso.log(TraducteurCarte.class, LoggerPerso.WARN, "criterebean null");
+			return critere;
+		}
+		String northbcN =  carteBean.getZone_demandee().getNorthbcN().replace(",",".");
+		String southbcN = carteBean.getZone_demandee().getSouthbcN().replace(",",".");
+		String eastbcN =  carteBean.getZone_demandee().getEastbcN().replace(",",".");
+		String westbcN =  carteBean.getZone_demandee().getWestbcN().replace(",",".");
 	
-	critere.put("lat-max", northbcN);
-	critere.put("lat-min", southbcN);
-	critere.put("lon-max", eastbcN);
-	critere.put("lon-min", westbcN);
-	critere.put("beg-date", critereBean.getBegDate());
-	critere.put("end-date", critereBean.getEndDate());
-	////system.out.println("TraducteurCarte::" + critere);
-	return critere;
+		critere.put("lat-max", northbcN);
+		critere.put("lat-min", southbcN);
+		critere.put("lon-max", eastbcN);
+		critere.put("lon-min", westbcN);
+//		critere.put("lat-max", "90");
+//		critere.put("lat-min", "-90");
+//		critere.put("lon-max", "180");
+//		critere.put("lon-min", "-180");
+		String begDate, endDate;
+		if (carteBean.getTotal().equals("totalDay")) {
+			begDate = critereBean.getDay();
+			endDate = critereBean.getDay();
+		} else if (carteBean.getTotal().equals("totalPeriod")) {
+			begDate = critereBean.getBegDate();
+			endDate = critereBean.getEndDate();
+		} else if (carteBean.getTotal().equals("totalYear")) {
+			begDate = critereBean.getYear()+"-01-01";
+			endDate = critereBean.getYear()+"-12-31";
+		} else {
+			begDate = critereBean.getMonth()+"-01";
+			Calendar cal = new GregorianCalendar(critereBean.getYear().intValue(), Integer.parseInt(critereBean.getMonth().substring(5))-1, 1);
+			int jourMax = cal.getActualMaximum(Calendar.DAY_OF_MONTH);
+			endDate = critereBean.getMonth()+"-"+jourMax;
+		}
+		critere.put("beg-date", begDate);
+		critere.put("end-date", endDate);
+		return critere;
 	}
-	
 	
 	public Map<String, String> tradCritere2StatReinit(CritereBean critereBean, CarteBean carteBean) {
@@ -48,5 +94,5 @@
 		numberFormat = NumberFormat.getNumberInstance();
 		numberFormat.setMaximumFractionDigits(2);
-		//LoggerPerso.log(TraducteurCarte.class, LoggerPerso.DEBUG, "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!lat-max "+ numberFormat.format(Double.toString(critereBean.getNorthbc())));
+		//LoggerPerso.log(TraducteurCarte.class, LoggerPerso.DEBUG, "!!!!lat-max "+ numberFormat.format(Double.toString(critereBean.getNorthbc())));
 
 		String northbcN = getNorthbcN(critereBean.getNorthbc()).replace(",",".");
@@ -65,5 +111,5 @@
 		critere.put("lon-min", Double.toString(critereBean.getWestbc())) ;*/
 		
-		//LoggerPerso.log(TraducteurCarte.class, LoggerPerso.DEBUG, "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!lat-max "+ numberFormat.format(Double.toString(critereBean.getNorthbc())));
+		//LoggerPerso.log(TraducteurCarte.class, LoggerPerso.DEBUG, "!!!!lat-max "+ numberFormat.format(Double.toString(critereBean.getNorthbc())));
 		
 		
@@ -72,5 +118,47 @@
 		////system.out.println("TraducteurCarte::" + critere);
 		return critere;
+	}
+	
+	public Map<String, String> tradCritere2TotalReinit(CritereBean critereBean, CarteBean carteBean) {
+		Map<String, String> critere = new HashMap<String, String>();
+		
+		if (critereBean == null) {
+			LoggerPerso.log(TraducteurCarte.class, LoggerPerso.WARN, "criterebean null");
+			return critere;
 		}
+		
+		numberFormat = NumberFormat.getNumberInstance();
+		numberFormat.setMaximumFractionDigits(2);
+
+		String northbcN = getNorthbcN(critereBean.getNorthbc()).replace(",",".");
+		String southbcN = getSouthbcN(critereBean.getSouthbc()).replace(",",".");
+		String eastbcN =  getEastbcN(critereBean.getEastbc()).replace(",",".");
+		String westbcN =  getWestbcN(critereBean.getWestbc()).replace(",",".");
+		
+		critere.put("lat-max", northbcN) ;
+		critere.put("lat-min", southbcN) ;
+		critere.put("lon-max", eastbcN) ;
+		critere.put("lon-min", westbcN) ;
+		
+		String begDate, endDate;
+		if (carteBean.getTotal().equals("totalDay")) {
+			begDate = critereBean.getDay();
+			endDate = critereBean.getDay();
+		} else if (carteBean.getTotal().equals("totalPeriod")) {
+			begDate = critereBean.getBegDate();
+			endDate = critereBean.getEndDate();
+		} else if (carteBean.getTotal().equals("totalYear")) {
+			begDate = critereBean.getYear()+"-01-01";
+			endDate = critereBean.getYear()+"-12-31";
+		} else {
+			begDate = critereBean.getMonth()+"-01";
+			Calendar cal = new GregorianCalendar(critereBean.getYear().intValue(), Integer.parseInt(critereBean.getMonth().substring(5))-1, 1);
+			int jourMax = cal.getActualMaximum(Calendar.DAY_OF_MONTH);
+			endDate = critereBean.getMonth()+"-"+jourMax;
+		}
+		critere.put("beg-date", begDate);
+		critere.put("end-date", endDate);
+		return critere;
+	}
 	
 	public String getEastbcN(Double eastbc) {
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/validation/DateValidation.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/validation/DateValidation.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/presentation/validation/DateValidation.java	(revision 70)
@@ -10,6 +10,4 @@
 import javax.faces.validator.Validator;
 import javax.faces.validator.ValidatorException;
-
-import org.medias.eccad.helpers.LoggerPerso;
 
 public class DateValidation implements Validator{
@@ -33,10 +31,8 @@
 		
 	    if (estValide) {
-	    	int intYear  = getYear(valeur);
+//	    	int intYear  = getYear(valeur);
 	    	int intMonth = getMonth(valeur);
 	    	int intDay   = getDay(valeur);
 	    	
-	    //	if (intYear < 1900 || intYear > 2200)
-	    //		estValide = false;
 	    	if (intMonth < 1 || intMonth > 12)
 	    		estValide = false;
@@ -53,17 +49,17 @@
 		}
 	}
-	private int getYear(String date){
+//	private int getYear(String date){
 
-		LoggerPerso.log(DateValidation.class, LoggerPerso.DEBUG, "getYear(String date  "+Integer.parseInt(date.substring(0,4)));
-		return Integer.parseInt(date.substring(0,4)); 
-	}
+//		LoggerPerso.log(DateValidation.class, LoggerPerso.DEBUG, "getYear(String date  "+Integer.parseInt(date.substring(0,4)));
+//		return Integer.parseInt(date.substring(0,4)); 
+//	}
 	private int getMonth(String date){
 
-		LoggerPerso.log(DateValidation.class, LoggerPerso.DEBUG, "getMonth(String date)  "+Integer.parseInt(date.substring(5,7)));
+//		LoggerPerso.log(DateValidation.class, LoggerPerso.DEBUG, "getMonth(String date)  "+Integer.parseInt(date.substring(5,7)));
 			return Integer.parseInt(date.substring(5,7)); 
 		}
 	private int getDay(String date){
 
-		LoggerPerso.log(DateValidation.class, LoggerPerso.DEBUG, "getDay(String date)  "+Integer.parseInt(date.substring(8,10)));
+//		LoggerPerso.log(DateValidation.class, LoggerPerso.DEBUG, "getDay(String date)  "+Integer.parseInt(date.substring(8,10)));
 		return Integer.parseInt(date.substring(8,10)); 
 	}
Index: ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/servlet/ServletService.java
===================================================================
--- ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/servlet/ServletService.java	(revision 68)
+++ ether_eccad/trunk/ECCAD_INTERFACE/WEB-INF/src/org/medias/eccad/servlet/ServletService.java	(revision 70)
@@ -10,17 +10,12 @@
 import java.io.PrintWriter;
 
-import javax.faces.context.FacesContext;
 import javax.servlet.ServletException;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
-import javax.servlet.http.HttpSession;
 
 
 import org.medias.eccad.helpers.LoggerPerso;
 import org.medias.eccad.metier.ServiceMetadata;
-import org.medias.eccad.presentation.bean.CritereBean;
-import org.medias.eccad.presentation.bean.DeconnectionException;
 import org.medias.eccad.presentation.bean.MetadataBean;
-import org.medias.eccad.presentation.bean.SessionBean;
 import org.medias.jni.RasterDAO;
 
@@ -43,9 +38,9 @@
 	
 	
-	private void controleSession() throws DeconnectionException {
-		SessionBean sessionbean = (SessionBean)((HttpSession)FacesContext.getCurrentInstance().getExternalContext().getSession(false)).getAttribute("sessionBean");
-		if (sessionbean == null || sessionbean.getEmail() == null || sessionbean.getEmail() == "")
-			throw new DeconnectionException();
-	}
+//	private void controleSession() throws DeconnectionException {
+//		SessionBean sessionbean = (SessionBean)((HttpSession)FacesContext.getCurrentInstance().getExternalContext().getSession(false)).getAttribute("sessionBean");
+//		if (sessionbean == null || sessionbean.getEmail() == null || sessionbean.getEmail() == "")
+//			throw new DeconnectionException();
+//	}
 	
 	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
